aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAge
* Lock flake8 version0.8.xGuido Günther2017-10-23
| | | | | We don't want to play catchup with new flake8 checks in this stable release.
* Fix docs build with docbook2htmlGuido Günther2017-10-23
| | | | Debian's docbook-2-html doesn't trip on this error.
* Unbreack dch tests with newer devscriptsGuido Günther2017-10-20
| | | | | | | | | | | | | | | | | | | | | | | Due to #842468 debchange now produces shorter output omitting empty blocks if there weren't any changes by the maintainer invoking debchange (which is nice): diff --git a/../old b/../new index 7c61312b..3823def2 100644 --- a/../old +++ b/../new @@ -5,8 +5,6 @@ test-package (1.0-1~1.gbpa26a34) UNRELEASED; urgency=medium [ Guido Günther ] * added debian/control - [ gbp test user ] - -- gbp test user <gbp@example.com> Thu, 14 Sep 2017 19:18:45 +0200 So check for the matching lines in both the old and new location. (cherry picked from commit 84596ab80278eaf388a5fbf206a13bd2faaccf1c)
* Document changes and release 0.8.18debian/0.8.18Guido Günther2017-07-31
|
* Revert "uscan: Always raise an error if we find <error/> or <warning/>"Guido Günther2017-07-31
| | | | | | | uscan as of devscripts 2.17.7 properly exits on gpg signature validation errors. This reverts commit 0388f9e397e591cd4de7de019e54d10548049943.
* tests: properly restore import_dscsGuido Günther2017-07-18
| | | | so later testcases don't break
* tests: add initial test for import-dscGuido Günther2017-07-18
|
* import-dscs: don't use long gone log functionGuido Günther2017-07-18
| | | | Closes: #868733
* dch: unmangle upstream_tag when guessing upstream versionChristos Trochalakis2017-07-10
| | | | | | | Running `gbp dch` with a mangled upstream tag resulted in a KeyError while trying to build a tag pattern. Signed-off-by: Guido Günther <agx@sigxcpu.org>
* uscan: Always raise an error if we find <error/> or <warning/>Guido Günther2017-07-06
| | | | | | | | | | uscan does not abort with a non-zero exit status when it fails to verify gpg signatures or similar things so abort when we find a warning or error. We can't do any better since uscan stops further processing in this case of e.g. pgp errors skipping version mangle among other things. See #841910.
* Use install_requirementsGuido Günther2017-07-05
|
* setup.py: require dateutilGuido Günther2017-07-04
| | | | since that's the name of the module
* Revert "setup.py: require dateutil"Guido Günther2017-07-04
| | | | | | | | | | | | | | | | | | | | | since it breaks setup.py with Traceback (most recent call last): File "setup.py", line 79, in <module> 'console_scripts': ['gbp=gbp.scripts.supercommand:supercommand'], File "/usr/lib/python2.7/distutils/core.py", line 111, in setup _setup_distribution = dist = klass(attrs) File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 320, in __init__ _Distribution.__init__(self, attrs) File "/usr/lib/python2.7/distutils/dist.py", line 259, in __init__ getattr(self.metadata, "set_" + key)(val) File "/usr/lib/python2.7/distutils/dist.py", line 1220, in set_requires distutils.versionpredicate.VersionPredicate(v) File "/usr/lib/python2.7/distutils/versionpredicate.py", line 113, in __init__ raise ValueError("expected parenthesized list: %r" % paren) ValueError: expected parenthesized list: '-dateutil' This reverts commit d05dfea469e71f4fa13619f69639b83a105cea34.
* setup.py: require dateutilKen Dreyer2017-07-04
| | | | | | | | | | We import dateutil, but we only declare this dependency within the debian packaging and RPM packaging. Add the dependency to Python's setuptools packaging as well. This allows git-buildpackage to install seamlessly within a Python virtualenv. Signed-off-by: Guido Günther <agx@sigxcpu.org>
* Document changes and release 0.8.17debian/0.8.17Guido Günther2017-06-28
|
* pristine_tar: catch GitRepositoryError as wellGuido Günther2017-06-28
| | | | so we get a proper error message when pristine-tar is not installed.
* Snapshot 0.8.16.2~1.gbpf90559Guido Günther2017-06-26
| | | | Gbp-Dch: Ignore
* docs: drop commands for ancient git versionsGuido Günther2017-06-26
| | | | Even oldoldstable has a more recent one.
* docs: merge histories when importingGuido Günther2017-06-26
| | | | | | | | This is only necessary for non 3.0 (quilt) packages when not using merge-mode=auto with "gbp import-orig". Thanks: Sean Whitton Closes: #864881
* Don't print debsnap errors twiceGuido Günther2017-06-26
| | | | Closes: #851128
* DebianGitRepository: better pristine-tar errorsGuido Günther2017-06-26
| | | | | | | | | We should not raise CommandErrors from methods on a GitRepository so convert the error and suppress the output. This will make us use the hander for GitRepositoryErrors in import_orig and pristine_tar which default to printing the error message. Closes: #829252
* pristine-tar: allow to silence command errorsGuido Günther2017-06-26
| | | | | So far we used the defaults of command_wrapper which prints to stderr. Add a quiet option to suppress this.
* New command 'pristine-tar'Guido Günther2017-06-26
| | | | | | | | | This allows one to run the pristine-tar import at a later point. This is useful when using component tarballs and we need to reference the right trees for the commits. The command can later be extended to allow for "export" as well to recreate the tarballs without having to invoke "gbp buildpackage".
* pq_rpm: clarify doc stringGuido Günther2017-06-24
| | | | | | | | mention RPM and start with a capital letter to make gbp --list-cmds output consistent.
* Fix typos in commentsGuido Günther2017-06-23
|
* git-pbuilder: drop environment variables that passed in our configGuido Günther2017-06-23
| | | | | | | We don't want to pass them on to pdebuild since this can trip up the invoked build system e.g. https://anonscm.debian.org/cgit/pkg-mozilla/icedove.git/commit/?id=56f8f4b728fa0a1075ccce1883a29bbe1daae303
* imort-dsc: Allow for shorter apt: pseudo URLsGuido Günther2017-06-22
| | | | instead of the apt:/// scheme.
* Document changes and release 0.8.16.1debian/0.8.16.1Guido Günther2017-06-22
|
* docs: simplify commandsGuido Günther2017-06-16
|
* Document changes and release 0.8.16debian/0.8.16Guido Günther2017-05-26
|
* pq: Disable rename trackingGuido Günther2017-05-26
| | | | to produce diff compatible patches
* repository: allow to specify rename trackingGuido Günther2017-05-26
|
* GitRepository: add rename_fileGuido Günther2017-05-26
|
* GitRepository: add set_configGuido Günther2017-05-26
|
* tests: drop unused variableGuido Günther2017-05-26
|
* Test that we don't fail tagging when on pq branchGuido Günther2017-05-23
| | | | Closes: #863167
* Don't fail tests on older git versionsGuido Günther2017-05-22
| | | | | | There are some nuances in reflog handling. Thanks: jean-christophe manciot for reporting this
* Update to git-pbuilder 1.48Guido Günther2017-05-01
| | | | | | incorporating the changes we made since 0.8.3 Thanks: Russ Allbery
* Document changes and release 0.8.15debian/0.8.15Guido Günther2017-04-28
|
* clone: don't print exception when we can't find the source packageGuido Günther2017-04-26
|
* dockerfile: add src uriGuido Günther2017-04-26
| | | | for the gbp clone network test
* tests: Move env check from clone to import_dscGuido Günther2017-04-25
| | | | | | since this is the tested script Gbp-Dch: Ignore
* clone: Add support for pseudo protocols like vcsgit: and github:Guido Günther2017-04-25
| | | | | | to make cloning simpler Closes: #861206
* buildpackage: add sloppy mode to build upstream tarballsGuido Günther2017-04-25
| | | | | | | | | | When starting with Debian _and_ git people often stumble over a mismatch between what dpkg-source expects to be in the tarball and the generated tarball for various reasons. Give them a way to say: "Use what I have on my current debian branch" as upstream source. Closes: #861004
* Fix typoGuido Günther2017-04-25
| | | | Gbp-Dch: Ignore
* import-orig: move unpacking code to separate functionGuido Günther2017-04-23
| | | | Gbp-Dch: Ignore
* Add missing bug numberGuido Günther2017-04-23
| | | | Gbp-Dch: Ignore
* Shorten test descriptionsGuido Günther2017-04-23
| | | | Gbp-Dch: Ignore
* Drop long deprecated --no-dchGuido Günther2017-04-23
|
* config: fix typosGuido Günther2017-04-23
|